<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.business.warning.mapper.OriginalWarningMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rtuWarningInfoEntityResultMap" type="org.springblade.modules.business.warning.entity.OriginalWarningInfoEntity">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>

        <result column="rtu_code" property="rtuCode"/>
        <result column="warn_name" property="warnName"/>
        <result column="warn_time" property="warnTime"/>
        <result column="warn_level_code" property="warnLevelCode"/>
        <result column="warn_info" property="warnInfo"/>
        <result column="warn_status" property="warnStatus"/>
        <result column="review_status" property="reviewStatus"/>
        <result column="type" property="type"/>
        <result column="remark" property="remark"/>
        <result column="rain_warn_rate" property="rainWarnRate"/>
        <result column="warn_sort" property="warnSort"/>
        <result column="warn_location" property="warnLocation"/>
        <result column="warn_adcd" property="warnAdcd"/>
        <result column="user_adcd" property="userAdcd"/>
        <result column="warn_lgtd" property="warnLgtd"/>
        <result column="warn_lttd" property="warnLttd"/>
        <result column="intv" property="intv"/>
        <result column="drp" property="drp"/>
        <result column="z" property="z"/>
        <result column="q" property="q"/>
        <result column="wptn" property="wptn"/>
        <result column="rz" property="rz"/>
        <result column="rwptn" property="rwptn"/>
        <result column="inq" property="inq"/>
        <result column="rel_warn_id" property="relWarnId"/>


    </resultMap>

    <!-- 通用查询映射结果 -->
    <!--<resultMap id="rtuWarningInfoVOResultMap" type="org.springblade.modules.business.warning.vo.RtuWarningInfoVO">-->
        <!--<result column="id" property="id"/>-->
        <!--<result column="create_user" property="createUser"/>-->
        <!--<result column="create_time" property="createTime"/>-->
        <!--<result column="update_user" property="updateUser"/>-->
        <!--<result column="update_time" property="updateTime"/>-->
        <!--<result column="status" property="status"/>-->
        <!--<result column="is_deleted" property="isDeleted"/>-->
        <!--<result column="rtu_code" property="rtuCode"/>-->
        <!--<result column="warning_kind" property="warningKind"/>-->
        <!--<result column="warning_desc" property="warningDesc"/>-->
        <!--<result column="warning_happen_time" property="warningHappenTime"/>-->
        <!--<result column="warning_recovery_time" property="warningRecoveryTime"/>-->
        <!--<result column="warning_status" property="warningStatus"/>-->
        <!--<result column="data_from_id" property="dataFromId"/>-->

    <!--</resultMap>-->


    <!--<select id="selectPage" resultMap="checkOrderInfoVOResultMap">-->
        <!--SELECT-->
         <!--o.*,u.real_name,i.rtu_name,p.project_name,d2.dept_name AS org_name-->
        <!--FROM-->
        <!--rtu_failure_check_order o-->
        <!--LEFT JOIN rtu_info i ON i.rtu_code = o.rtu_code-->
        <!--LEFT JOIN blade_user u ON u.id = o.update_user-->
        <!--LEFT JOIN  project_info p ON i.project_id = p.id-->
        <!--LEFT JOIN  blade_dept d2 ON i.org_id = d2.id-->
        <!--WHERE-->
        <!--o.is_deleted = 0-->
        <!--<if test="checkOrderInfoDTO.rtuCode!=null">-->
            <!--and o.rtu_code like concat(concat('%', #{checkOrderInfoDTO.rtuCode}), '%')-->
        <!--</if>-->
        <!--<if test="checkOrderInfoDTO.rtuName!=null">-->
            <!--and i.rtu_name like concat(concat('%', #{checkOrderInfoDTO.rtuName}), '%')-->
        <!--</if>-->
    <!--</select>-->
</mapper>
